<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PPGraphics2D (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PPGraphics2D (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PPGraphics2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/Polygon.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/PPGraphics2D.html" target="_top">Frames</a>
        </li>
        <li><a href="PPGraphics2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.sl.draw.SLGraphics">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model</div>
    <h2 title="Class PPGraphics2D" class="title">Class PPGraphics2D</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.awt.Graphics</li>
                <li>
                    <ul class="inheritance">
                        <li>java.awt.Graphics2D</li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html"
                                       title="class in org.apache.poi.sl.draw">org.apache.poi.sl.draw.SLGraphics</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hslf.model.PPGraphics2D</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">since 4.0.0 - use SLGraphics</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="5.0.0")
public final class <span class="typeNameLabel">PPGraphics2D</span>
extends <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html" title="class in org.apache.poi.sl.draw">SLGraphics</a></pre>
                <div class="block">Translates Graphics2D calls into PowerPoint.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/PPGraphics2D.html#PPGraphics2D-org.apache.poi.hslf.usermodel.HSLFGroupShape-">PPGraphics2D</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>&nbsp;group)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Construct Java Graphics object which translates graphic calls in
                                        ppt drawing layer.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.SLGraphics">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/SLGraphics.html"
                                        title="class in org.apache.poi.sl.draw">SLGraphics</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#addRenderingHints-java.util.Map-">addRenderingHints</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#applyPaint-org.apache.poi.sl.usermodel.SimpleShape-">applyPaint</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#applyStroke-org.apache.poi.sl.usermodel.SimpleShape-">applyStroke</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#clearRect-int-int-int-int-">clearRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#clip-java.awt.Shape-">clip</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#clipRect-int-int-int-int-">clipRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#copyArea-int-int-int-int-int-int-">copyArea</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#create--">create</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#dispose--">dispose</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#draw-java.awt.Shape-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawArc-int-int-int-int-int-int-">drawArc</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawGlyphVector-java.awt.font.GlyphVector-float-float-">drawGlyphVector</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.image.BufferedImage-java.awt.image.BufferedImageOp-int-int-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-java.awt.geom.AffineTransform-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawLine-int-int-int-int-">drawLine</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawOval-int-int-int-int-">drawOval</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawPolygon-int:A-int:A-int-">drawPolygon</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawPolyline-int:A-int:A-int-">drawPolyline</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRect-int-int-int-int-">drawRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRenderableImage-java.awt.image.renderable.RenderableImage-java.awt.geom.AffineTransform-">drawRenderableImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRenderedImage-java.awt.image.RenderedImage-java.awt.geom.AffineTransform-">drawRenderedImage</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRoundRect-int-int-int-int-int-int-">drawRoundRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawString-java.text.AttributedCharacterIterator-float-float-">drawString</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawString-java.text.AttributedCharacterIterator-int-int-">drawString</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawString-java.lang.String-float-float-">drawString</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawString-java.lang.String-int-int-">drawString</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fill-java.awt.Shape-">fill</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fillArc-int-int-int-int-int-int-">fillArc</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fillOval-int-int-int-int-">fillOval</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fillPolygon-int:A-int:A-int-">fillPolygon</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fillRect-int-int-int-int-">fillRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#fillRoundRect-int-int-int-int-int-int-">fillRoundRect</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getBackground--">getBackground</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getClip--">getClip</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getClipBounds--">getClipBounds</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getColor--">getColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getComposite--">getComposite</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getDeviceConfiguration--">getDeviceConfiguration</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getFont--">getFont</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getFontMetrics-java.awt.Font-">getFontMetrics</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getFontRenderContext--">getFontRenderContext</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getPaint--">getPaint</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getRenderingHint-java.awt.RenderingHints.Key-">getRenderingHint</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getRenderingHints--">getRenderingHints</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getShapeGroup--">getShapeGroup</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getStroke--">getStroke</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getTransform--">getTransform</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#hit-java.awt.Rectangle-java.awt.Shape-boolean-">hit</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#rotate-double-">rotate</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#rotate-double-double-double-">rotate</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#scale-double-double-">scale</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setBackground-java.awt.Color-">setBackground</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setClip-int-int-int-int-">setClip</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setClip-java.awt.Shape-">setClip</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setColor-java.awt.Color-">setColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setComposite-java.awt.Composite-">setComposite</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setFont-java.awt.Font-">setFont</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setPaint-java.awt.Paint-">setPaint</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setPaintMode--">setPaintMode</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setRenderingHint-java.awt.RenderingHints.Key-java.lang.Object-">setRenderingHint</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setRenderingHints-java.util.Map-">setRenderingHints</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setStroke-java.awt.Stroke-">setStroke</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setTransform-java.awt.geom.AffineTransform-">setTransform</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setXORMode-java.awt.Color-">setXORMode</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#shear-double-double-">shear</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#transform-java.awt.geom.AffineTransform-">transform</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#translate-double-double-">translate</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#translate-int-int-">translate</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.awt.Graphics2D">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.awt.Graphics2D</h3>
                                <code>draw3DRect, fill3DRect</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.awt.Graphics">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.awt.Graphics</h3>
                                <code>create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds,
                                    getClipRect, getFontMetrics, hitClip, toString</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PPGraphics2D-org.apache.poi.hslf.usermodel.HSLFGroupShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PPGraphics2D</h4>
                                <pre>public&nbsp;PPGraphics2D(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>&nbsp;group)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Construct Java Graphics object which translates graphic calls in ppt
                                    drawing layer.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>group</code> - The shape group to write the graphics calls into.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PPGraphics2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/Polygon.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/PPGraphics2D.html" target="_top">Frames</a>
        </li>
        <li><a href="PPGraphics2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.sl.draw.SLGraphics">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
